import { Axios, AxiosRequestConfig } from 'axios';
export declare type AxiosPost = typeof Axios.prototype.post;
export declare type AxiosGet = typeof Axios.prototype.get;
export declare type AxiosDelete = typeof Axios.prototype.delete;
export declare type AxiosPatch = typeof Axios.prototype.patch;
export declare type ResponseInterceptor = Parameters<typeof Axios.prototype.interceptors.response.use>;
export declare type RequestInterceptor = Parameters<typeof Axios.prototype.interceptors.request.use>;
export declare class AxiosApi {
    private defaultConfig;
    private axios;
    constructor(config?: AxiosRequestConfig);
    post<T>(...args: Parameters<AxiosPost>): Promise<T & import("./Types").ApiResponseError>;
    get<T>(...args: Parameters<AxiosGet>): Promise<T & import("./Types").ApiResponseError>;
    delete<T>(...args: Parameters<AxiosDelete>): Promise<T & import("./Types").ApiResponseError>;
    patch<T>(...args: Parameters<AxiosPatch>): Promise<T & import("./Types").ApiResponseError>;
    addRequestInterceptor(...options: RequestInterceptor): void;
    addResponseInterceptor(...options: ResponseInterceptor): void;
}
