import { AxiosRequestTransformer, AxiosResponseTransformer } from "axios";
import { ApiResponseError, RawResponse } from "./Types";
/**
 *
 * @param data request data
 * @param headers request headers
 * @returns
 */
export declare const jsonRequest: AxiosRequestTransformer;
/**
 *
 * @param data response data
 * @param headers response headers
 * @returns properly parsed data
 */
export declare const jsonResponse: AxiosResponseTransformer;
/**
 *
 * @param response the raw AxiosResponse which contains a `data` property
 * @returns Just the data, properly typed as T & {error, errors}
 */
export declare function responseHandler<T = unknown>(response: RawResponse<T>): T & ApiResponseError;
